org.eclipse.jetty.jndi.java

## Class javaNameParser

- java.lang.Object
- - org.eclipse.jetty.jndi.java.javaNameParser

All Implemented Interfaces:
  NameParser

    public class javaNameParser
    extends Object
    implements NameParser

javaNameParser

### Constructor Summary

Constructors
Constructor and Description
`javaNameParser()`

### Method Summary

Methods
`Name` `parse(String name)` Parse a name into its components.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### javaNameParser

    public javaNameParser()

### Method Detail

#### parse

    public Name parse(String name)
               throws NamingException

Parse a name into its components.

Specified by:
  `parse` in interface `NameParser`
Parameters:
  `name` - The non-null string name to parse.
Returns:
  A non-null parsed form of the name using the naming convention of this parser.
Throws:
  `NamingException` - If a naming exception was encountered.